Skip to content

Movie

4 operations generated from the Engine OpenAPI schema. Request and response model names can be expanded in the interactive schema.

DELETE /api/v1/movies/{id}

Delete the movie by ID or Name.

Authentication: Authorization header (ApiKeyAuth)

Parameters

NameLocationTypeRequiredDescription
idpathstringYesmovie ID or Name

Responses

StatusDescriptionSchema
200OKroute.APIResponse

DELETE /api/v1/movies/{id}/logs

Delete movie logs.

Authentication: Authorization header (ApiKeyAuth)

Parameters

NameLocationTypeRequiredDescription
idpathintegerYesMovie ID

Responses

StatusDescriptionSchema
204No Content

GET /api/v1/movies/{id}/logs

List movie logs.

Authentication: Authorization header (ApiKeyAuth)

Parameters

NameLocationTypeRequiredDescription
idpathintegerYesMovie ID
afterqueryintegerNoLog sequence cursor; values less than or equal to 0 return all logs

Responses

StatusDescriptionSchema
200OKarray of utils.LogEntry

GET /api/v1/movies/{id}/logs/download

Download movie logs.

Authentication: Authorization header (ApiKeyAuth)

Parameters

NameLocationTypeRequiredDescription
idpathintegerYesMovie ID

Responses

StatusDescriptionSchema
200OKfile